pipeline {
    agent any

    stages {
        stage('lint') {
            steps {
            	sh 'ansible-lint dotfiles.yml'
            }
        }
    }
    post {
        failure {
            emailext body: 'Please check #$BUILD_NUMBER $PROJECT_NAME - $BUILD_STATUS! See $BUILD_URL', subject: 'Build #$BUILD_NUMBER $PROJECT_NAME - $BUILD_STATUS!', recipientProviders: [developers(), requestor()]
        }
        fixed {
            emailext body: '$BUILD_STATUS, see $BUILD_URL', subject: 'Build #$BUILD_NUMBER $PROJECT_NAME - $BUILD_STATUS!', recipientProviders: [developers(), requestor()]
        }
    }
}
